#ifndef _NM_INTERFACE_H_
#define _NM_INTERFACE_H_

#define BUF_EMPTY 0
#define BUF_FULL 1

extern void NM_Time_2ms_Count(void);
extern void NM_Send_PDU_Fun(void);         //Send PDU Message Interface Function
extern void NM_Send_App_Fun(void);         //Send Application Message Interface Function
extern void NM_CheckSleep_Fun(void);
extern void NM_CheckBusOff_Fun(void);
extern void NM_RemoteWakeup_Fun(void);
extern void NM_LocalWakeup_Fun(void);
extern void NM_tSleepRequTimeCount_Fun(void);
extern void NM_Receive_isr_Fun(unsigned int id, unsigned char *pBuf);
extern void NM_TranMsgSuccessDetect(void);

#endif
